.DEFAULT_GOAL := all

.PHONY: fmt vet build clean tools

tools:
	GOPROXY=direct go install git.wamblee.org/public/gotools/cmd/go2junit@main

fmt:
	go fmt ./...

vet: fmt
	go vet ./...


build: vet
	mkdir -p bin
	go build -ldflags "-X main.Version=$(shell git rev-parse HEAD ) -X main.BuildTime=$(shell date +'%Y-%m-%dT%H:%M:%S')" -o bin/bridge ./cmd/...

install: build
	go install ./...

test: build
	go test -count=1 -coverprofile=testout/coverage.out -json  ${TESTFLAGS} ./... | go2junit testout

clean:
	rm -rf bin
	rm -f pkg/server/ui/LICENSE*
	rm -rf testout

all: build

